%define url_ver %(echo %{version} | cut -d. -f1,2)

%define git	20130507
%define rel	2
%define subrel	2

Summary:	A simple CD burning tool for the Xfce Desktop Environment
Name:		xfburn
Version:	0.4.3
Release:	%mkrel 6.git%{git}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org/projects/xfburn/
#Source0:	http://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.bz2
# From upstream git
Source0:	%{name}-%{git}.tar.xz
Patch0:		xfburn-20120601-fix-desktop-file.patch
Patch1:		xfburn-20130507-main-window-icon-fix.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libburn-1)
BuildRequires:	pkgconfig(libisofs-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(thunar-vfs-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10)

%description
Xfburn is a simple CD/DVD burning tool based on libburnia
libraries.It can blank CD-RWs, burn and create iso images,
as well as burn personal compositions of data to either CD or DVD.

%prep
%setup -q -n %{name}-%{git}
%apply_patches

#fix icon names
#from https://bugzilla.xfce.org/show_bug.cgi?id=9669
find icons -name "xfburn.*" -exec rename xfburn stock_xfburn {} \;
find icons -name Makefile.am -exec sed -i '/\sxfburn\./s/xfburn/stock_xfburn/' {} \;

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-maintainer-mode
%make

%install
%makeinstall_std

desktop-file-install \
	--set-icon="media-optical" \
	--remove-category="X-XFCE" \
	--add-category="AudioVideo" \
	--add-category="XFCE" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*/stock/media/*
%{_mandir}/man1/*


%changelog
* Tue Feb 11 2014 wally <wally> 0.4.3-6.git20130507.2.2.mga4
+ Revision: 589361
- fix remaining issues reported in mga#12462
  * add patch to fix main window icon
  * drop OnlyShowIn=XFCE from .desktop
  * don't remove categories added by upstream from .desktop file

* Mon Feb 10 2014 wally <wally> 0.4.3-6.git20130507.2.1.mga4
+ Revision: 588937
- fix menu icon name and stock_xfburn icon issue (mga#12462)

* Sat Oct 19 2013 umeabot <umeabot> 0.4.3-6.git20130507.2.mga4
+ Revision: 523617
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.4.3-6.git20130507.1.mga4
+ Revision: 425215
- new git snapshot

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-6.git20120908.3.mga3
+ Revision: 386781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.4.3-6.git20120908.2.mga3
+ Revision: 338222
- add patch to fix build with automake 1.13

* Sat Sep 08 2012 wally <wally> 0.4.3-6.git20120908.1.mga3
+ Revision: 290005
- new git snapshot

* Fri Jun 01 2012 wally <wally> 0.4.3-6.git20120601.1.mga3
+ Revision: 252900
- use latest git snapshot
- clean .spec a bit

  + fwang <fwang>
    - rebuild for new xfutil

* Sun Jan 29 2012 tv <tv> 0.4.3-5.mga2
+ Revision: 202807
- rebuild without HAL which is dead

* Sat Feb 19 2011 ahmad <ahmad> 0.4.3-4.mga1
+ Revision: 54322
- drop old/unneeded scriptlets
- imported package xfburn


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-3mdv2011.0
+ Revision: 633045
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-2mdv2011.0
+ Revision: 579639
- adjust buildrequires
- rebuild for new xfce 4.7.0

* Sat Feb 13 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 505532
- update to new version 0.4.3
- use new url for Source0

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 404035
- rebuild
- update to new version 0.4.2

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2009.1
+ Revision: 349187
- rebuild whole xfce

* Wed Feb 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 344764
- add missing file
- drop patch 0, merged upstream
- update to new version 0.4.1

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 317692
- Patch1: fix building with -Werror=format-security
- bs is hungry, feed it :)
- fix file list
- add buildrequires on libgstreamer0.10-plugins-base-devel
- update to new version 0.4.0

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-1mdv2009.1
+ Revision: 299612
- enable gstreamer support
- update to new version 0.3.91

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 294937
- rebuild for new Xfce4.6 beta1

* Thu Jul 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 236764
- update to new version 0.3.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 233500
- update to new version 0.3.1

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 214443
- update to new version 0.3.0

* Wed May 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4796.1mdv2009.0
+ Revision: 207176
- new svn snapshot

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4783.1mdv2009.0
+ Revision: 205833
- new svn snapshot

* Thu May 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4743.1mdv2009.0
+ Revision: 203875
- new svn snapshot

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4681.1mdv2009.0
+ Revision: 198463
- new snapshot

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4667.1mdv2009.0
+ Revision: 197196
- new svn snapshot

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4646.1mdv2009.0
+ Revision: 196250
- new svn snapshot

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4630.1mdv2009.0
+ Revision: 195669
- new xfburn svn snapshot

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4612.1mdv2009.0
+ Revision: 195501
- update xfburn to the latest svn snapshot
- xfburn now uses libburn and libisofs libraries to handle CD/DVD burning, thus patch 0 is not needed
- adjust buildrequires
- do not package COPYING file
- provide better description
- fix URL

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-7mdv2008.1
+ Revision: 102422
- provide patch 0 (support for cdrkit)
- fix desktop entry

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-6mdv2008.0
+ Revision: 51344
- own dir
- drop X-MandrivaLinux

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-5mdv2008.0
+ Revision: 34326
- fix icon name

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-4mdv2008.0
+ Revision: 32896
- set requires on cdrkit and cdrkit-genisoimage
- drop old menu style
- add macros to %%post and %%postun
- spec file clean


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-3mdv2007.0
+ Revision: 103271
- Rebuild for latest xfce

* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.2.0-2mdv2007.1
+ Revision: 90131
- BuildRequires desktop-file-utils
- BuildRequires ImageMagick
- Also disable check for cdrecord, readcd, mkisofs
- Disable check for cdrdao, it is only needed at runtime
- Import xfburn

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.0-1mdv2007.0 
- 0.2.0
- drop patcg.....fixed upstream
- adjust .desktop
- fix section in menu

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.0-1mdv2007.0
- initial release

